﻿@model List<SportsClub.Areas.Dashboard.Models.DashboardMenuItemViewModel>

@{
    Layout = null;
}
<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>
<h3 class="blade-title show-in-collapse-mode" style="margin-bottom: 13px !important;">
    <a class="fg-white title  show-in-collapse-mode has-edit-link" ng-click="step.isExpanded = true">Setup</a>
</h3>


<div class="margin-bottom10"></div>

<ul ng-controller="seasonSetupController" class="list">

    @foreach (var menuItem in Model.Where(m => m.ParentId == null))
    {
        <li ng-class="{active: MC.activeSection == '@menuItem.Name' }">
            <a class="blade-item-title" ui-sref="@menuItem.Link" ng-click="MC.activeSection = '@menuItem.Name'; @menuItem.OnClick">
                <i class="@menuItem.Icon on-left-more"></i>
                @menuItem.Title
            </a>

            @if (Model.Any(m => m.ParentId == menuItem.Id))
            {
                var childItems = Model.Where(m => m.ParentId == menuItem.Id);
                foreach (var childItem in childItems)
                {
                    <div class="blade-item-action-bar sub-menu-admin">
                        <ul>
                            <li>
                                <a class="blade-item-title blade-sub-menu" ui-sref='@childItem.Link' ng-click="@childItem.OnClick">
                                    <i class="@childItem.Icon on-left-more add"></i>@childItem.Title
                                </a>
                            </li>
                        </ul>
                    </div>
                }
            }
        </li>
    }

</ul>
